from django.urls import path
from . import views

urlpatterns = [
    path("send/<int:user_id>/",        views.SendFriendRequestView.as_view(),    name="send-request"),
    path("respond/<int:request_id>/",  views.RespondFriendRequestView.as_view(), name="respond-request"),
    path("requests/",                  views.FriendRequestListView.as_view(),    name="friend-requests"),
    path("list/",                      views.FriendListView.as_view(),           name="friends-list"),
    path("remove/<int:user_id>/",      views.UnfriendView.as_view(),             name="remove-friend"),
]